
  nav {
	background-color: var(--color-01);
	border-bottom: 1px solid rgba(256, 256, 256, 0.2);
  }

  .nav-container {
	max-width: 1100px;
	margin: 0 auto;
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 0 20px;
	flex-wrap: wrap;
  }

  .logo {
	display: flex;
	align-items: center;
	padding: 10px 0;
  }

  .logo img {
	height: 40px;
  }

  .menu-toggle {
	display: none;
	background-color: var(--color-01);
	color: white;
	border: none;
	font-size: 1.5em;
	padding: 10px 15px;
	cursor: pointer;
  }

  .menu {
	display: flex;
	list-style: none;
	margin: 0;
	padding: 0;
	align-items: center;
  }

  .menu li {
	position: relative;
  }

  .menu > li > a {
	display: block;
	color: white;
	text-decoration: none;
	padding: 15px 20px;
  }

  .menu li:hover {
	background-color: rgba(0, 0, 0, 0.1);
  }

  .submenu {
	list-style: none;
	background-color: rgba(0, 0, 0, 0.5);
	overflow: hidden;
	max-height: 0;
	transition: max-height 0.9s ease;
	position: absolute;
	top: 100%;
	left: 0;
	width: 160px;
	z-index: 1000;
  }

  .submenu li a {
	color: white;
	padding: 12px 16px;
	display: block;
	text-decoration: none;
  }

  .submenu li a:hover {
	background-color: rgba(0, 0, 0, 0.5);
  }

  .menu li:hover .submenu {
	max-height: 500px;
  }

  @media (max-width: 768px) {
	.nav-container {
	  flex-wrap: wrap;
	  flex-direction: row;
	  align-items: center;
	  position: relative;
	}

	.menu-toggle {
	  display: block;
	  margin-left: auto;
	}

	.menu {
	  position: absolute;
	  top: 100%;
	  left: 0;
	  width: 100%;
	  background-color: rgba(0, 0, 0, 0.8);
	  z-index: 1000;
	  flex-direction: column;
	  overflow: hidden;
	  max-height: 0;
	  transition: max-height 0.9s ease;
	}

	.menu.active {
	  max-height: 500px; /* lo suficientemente grande para todo el menú */
	}

	.menu li {
	  width: 100%;
	  text-align: center;
	}

	.submenu {
	  position: static;
	  max-height: 0;
	  overflow: hidden;
	  transition: max-height 0.9s ease;
	  width: 100%;
	}

	.menu li:hover .submenu {
	  max-height: 500px;
	}
  }
